Ticket #365 (closed bug: fixed)

Opened 2 years ago

Last modified 2 years ago

Saphire Pro40 Pro24 Mixer Monitor gui needs scroll bars

Reported by: skavar Assigned to: la-page-web-of-phil
Priority: minor Milestone:
Component: ffado-mixer Version: FFADO SVN (trunk)
Keywords: Cc:
The device the bug applies to:

Description (Last modified by jwoithe)

Using svn2261 Saphire Pro40 and Pro24 ffado-mixer monitor tab needs scroll bars in order to access all buttons and faders. Matrix Mixer and Crossbar Router tabs have scroll bars.

Change History

01/11/13 22:23:00 changed by jwoithe

  • priority changed from major to minor.
  • description changed.

Phil: this seems like a relatively simple request. Since you have one of these devices (and can therefore test the result easily) do you want to take ownership of this and fix when you get a chance? The precedent has been set with the matrix mixer and crossbar tabs apparently, so I'm assuming there's not a lot involved.

01/12/13 03:04:20 changed by jwoithe

  • description changed.

(Originally part of comment 1 but accidently added to the description instead)

Since many others are using these devices and have not reported this problem it seems that it may be related to available screen resolution. Classifying it as a major bug is probably not completely accurate. For this reason I'm downgrading this to "minor", but we'll keep it as a "bug" for now even though "enhancement" is probably more appropriate.

(follow-up: ↓ 6 ) 01/12/13 13:10:23 changed by la-page-web-of-phil

  • owner changed from arnonym to la-page-web-of-phil.

revision 2262 committed as a fix. As usual, more testing required before closing.

(follow-up: ↓ 8 ) 01/12/13 14:24:04 changed by stefanr

ffado-mixer of revision 2262 looks OK to me from a cursory look.

(Note, I am a kernel driver guy, not a musician, and I don't understand what most of the controls are supposed to do. I never touch anything in ffado-mixer in fear of losing the default setup that gives me playback and capture. The volume sliders in the Monitoring tab do audibly change the playback volume though.)

One possible oddity: In the Monitoring tab, the UA button of Line/Out 1 is colored in red, unlike any of the other buttons which come in the system-wide color scheme. Is this intended?

01/12/13 14:24:32 changed by stefanr

PS: tested with Saffire PRO 24

(in reply to: ↑ 3 ; follow-up: ↓ 9 ) 01/13/13 01:13:57 changed by skavar

thank you for your prompt attention, shall test at earliest opportunity.

01/13/13 04:13:32 changed by yves.g

Tested with Saffire Pro 24 => OK

(in reply to: ↑ 4 ) 01/13/13 05:26:35 changed by la-page-web-of-phil

Replying to stefanr:

ffado-mixer of revision 2262 looks OK to me from a cursory look.

Nice.

(Note, I am a kernel driver guy, not a musician, and I don't understand what most of the controls are supposed to do. I never touch anything in ffado-mixer in fear of losing the default setup that gives me playback and capture. The volume sliders in the Monitoring tab do audibly change the playback volume though.)

I gave a rough description in a draft page of my website http://www.la-page-web-of-phil.fr/index.php?page=P030602 You should be able to route/mix from anywhere to anywhere and control almost everything (theoretically ... :-)

One possible oddity: In the Monitoring tab, the UA button of Line/Out 1 is colored in red, unlike any of the other buttons which come in the system-wide color scheme. Is this intended?

Of course not ! It is reminiscent of first devel steps: having red (muting) and yellow (dim control) colors for controls would have been clearer for users. But using colors like that was less easy than may look like at a glance and I reverted to default (except omitting this button).

Should be fixed in revision 2263.

(in reply to: ↑ 6 ) 01/13/13 18:05:37 changed by skavar

Replying to skavar: tested with Saffire Pro 40 and Pro 24 . All good. Thank you

01/16/13 03:13:57 changed by la-page-web-of-phil

  • version changed from FFADO 2.1.0 to FFADO SVN (trunk).

02/24/13 01:00:59 changed by la-page-web-of-phil

  • status changed from new to closed.
  • resolution set to fixed.

Well, considering successful testing by several users, it's time now to close the ticket.